:root {
    --primary-color: #f2c744;
    --light: #f4f6f9;
    --dark: #000;
    --primary-font: 'Shadows Into Light', cursive;
    --secondary-font: 'Dancing Script', cursive;
}

@media only screen and (max-width: 640px) {

    body {
        display: grid;
        grid-template-columns: 1fr;
        grid-template-areas:
            "header" "aside" "main" "footer";
    }

    .aside-grid-item {
        grid-area: aside;
        margin-top: 0.5em;
        padding-top: 1em;
        padding-bottom: 1em;
    }

    aside {
        display: grid;
        text-align: center;
        padding-left: 0.5em;
        padding-right: 0.5em;
        font-style: italic;
        height: max-content;
    }

    .main-grid-item {
        grid-template-columns: 1fr;
        grid-template-rows: repeat(11, auto);
        padding: 0.5em;
        row-gap: 0.5em;
        margin: 0;
    }

    .main-grid-item > div {
        width: 100%;
    }
}

@media only screen and (min-width: 641px) {

    body {
        display: grid;
        grid-template-columns: 1fr;
        grid-template-areas:
            "header" "aside" "main" "footer";
    }

    aside {
        grid-area: aside;
        margin-top: 0.5em;
        padding: 0.5em;
        display: grid;
        text-align: center;
        font-style: italic;
    }

    .main-grid-item {
        grid-area: main;
        margin-top: 0.5em;
        padding: 0.5em;
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-template-rows: repeat(6, auto);
        column-gap: 0.5em;
        row-gap: 0.5em;
    }
}

@media only screen and (min-width: 1008px) {

    body {
        display: grid;
        margin: 0.5em;
        grid-template-columns: 2fr 1fr;
        grid-template-areas:
            "header header"
            "main aside"
            "footer footer";
    }

    aside {
        grid-area: aside;
        position: sticky;
        top: 0;
        margin-top: 0.5em;
        margin-left: 1.5em;
        padding: 1em;
        display: grid;
        text-align: center;
        float: right;
        font-style: italic;
        height: max-content;
    }

    .main-grid-item {
        grid-area: main;
        grid-column-start: 1;
        grid-column-end: 4;
        margin-top: 0.5em;
        padding: 1.5em;
        display: grid;
        grid-template-columns: repeat(3, 18em);
        grid-template-rows: repeat(12, 4em);
        column-gap: 1em;
        row-gap: 1em;
        width: max-content;
    }

    .first-image {
        grid-column: 1;
        grid-row: 1 / span 2;
    }

    .second-image {
        grid-column: 2;
        grid-row: 1 / span 3;
    }

    .third-image {
        grid-column: 3;
        grid-row: 1 / span 5;
    }

    .forth-image {
        grid-column: 1;
        grid-row: 3 / span 4;
    }

    .fifth-image {
        grid-column: 2;
        grid-row: 4 / span 2;
    }

    .sixth-image {
        grid-column: 1;
        grid-row: 7 / span 3;
    }

    .seventh-image {
        grid-column: 2;
        grid-row: 6 / span 3;
    }

    .eighth-image {
        grid-column: 3;
        grid-row: 6 / span 2;
    }

    .ninth-image {
        grid-column: 1;
        grid-row: 10 / span 2;
    }

    .tenth-image {
        grid-column: 2;
        grid-row: 9 / span 4;
    }

    .eleventh-image {
        grid-column: 3;
        grid-row: 8 / span 5;
    }
}

html {
    padding: 0;
    margin: 0;
}

main {
    grid-area: main;
    margin-top: 0.5em;
    display: grid;
}

main img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

header {
    grid-area: header;
    margin-bottom: 0.5em;
    display: grid;
    text-align: center;
    height: max-content;
}

footer {
    grid-area: footer;
    margin-top: 0.5em;
    display: grid;
    text-align: center;
    padding: 1em;
}

img.logo {
    object-fit: cover;
    border-radius: 50%;
    width: 5em;
    height: 5em;
}

aside > p {
    font-family: var(--primary-font);
    color: var(--dark);
    margin-top: 0;
}

.header-logo-block h3,
.avatar-block h3 {
    font-family: var(--secondary-font);
    color: var(--dark);
    margin-top: 0;
    margin-bottom: 0;
}

.header-logo-block h4,
.avatar-block h4 {
    font-family: var(--primary-font);
    color: var(--dark);
    margin-top: 0;
    margin-bottom: 0.5em;
}

.header-logo-block h3 {
    font-size: 2em;
}

.header-logo-block h4 {
    font-size: 1em;
}

.avatar-block h3 {
    font-size: 1.3em;
}

.avatar-block h4 {
    font-size: 0.9em;
}

.header-logo-block h3,
.footer-logo-block h3,
.avatar-block h3,
.avatar-block h4 {
    font-weight: bold;
}

img.avatar {
    object-fit: cover;
    border-radius: 50%;
    width: 7em;
    height: 7em;
}

.fa {
    padding: 0.1em;
    font-size: 1.2em;
    text-align: center;
    text-decoration: none;
}

.social-icons a {
    background: white;
    color: var(--dark);
}

.shadow-block {
    box-shadow: 0 0.25em 0.5em 0.05em #888888;
}

footer .logo {
    object-fit: cover;
    border-radius: 50%;
    width: 3em;
    height: 3em;
}

footer .copyright {
    font-family: var(--primary-font);
}

.footer-logo-block h3 {
    font-family: var(--secondary-font);
    color: var(--dark);
    font-size: 0.9em;
    margin: 0;
}

.footer-logo-block h4 {
    font-family: var(--primary-font);
    color: var(--dark);
    font-size: 0.8em;
    margin: 0;
}